--
-- $Id$
--
-- Script containing customer specific sql statements for the STCH database

DEFINE thisfile = 'STCH#54706-2.SQL'
DEFINE dbuser   = 'STCH'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------
        
-- Rename AAXX naar STCH voor Import Strukton         
           
ALTER TABLE
aaxx_imp_opdrstat_strukton
RENAME TO stch_imp_opdrstat_strukton;

UPDATE fac_import_app
SET fac_import_app_prefix = 'STCH'
WHERE fac_import_app_code = 'OPDRSTAT_STRUKTON';

DROP PROCEDURE aasi_import_opdrstat_strukton;
DROP PROCEDURE aasi_update_opdrstat_strukton;
DROP PROCEDURE aaxx_import_opdrstat_strukton;
DROP PROCEDURE aaxx_update_opdrstat_strukton;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 0); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile